Home Page Forums Raspberry Pi Shields Help with Cellular IoT shield sends SMS

Tagged: 

Viewing 5 posts - 1 through 5 (of 5 total)
  • Author
    Posts
  • #62324
    binhduongluong
    Participant

    Good morning sir/mam
    After following the tutorial, I encounter this issue

    [email protected]:~/Sixfab_RPi_CellularIoT_Library/sample $ sudo python3 sendSMS.py
    Sixfab Raspberry Pi Cellular IoT Application Shield Class initialized!
    BG96 module disabled!
    BG96 module enabled!
    BG96 module powered up!
    Traceback (most recent call last):
    File “/usr/lib/python3/dist-packages/serial/serialposix.py”, line 323, in _reconfigure_port
    orig_attr = termios.tcgetattr(self.fd)
    termios.error: (5, ‘Input/output error’)

    During handling of the above exception, another exception occurred:

    Traceback (most recent call last):
    File “sendSMS.py”, line 18, in <module>
    node.sendATComm(“ATE1″,”OK\r\n”)
    File “/usr/local/lib/python3.7/dist-packages/sixfab_cellulariot-1.2.0-py3.7.egg/cellulariot/cellulariot.py”, line 200, in sendATComm
    File “/usr/local/lib/python3.7/dist-packages/sixfab_cellulariot-1.2.0-py3.7.egg/cellulariot/cellulariot.py”, line 172, in sendATCommOnce
    File “/usr/lib/python3/dist-packages/serial/serialposix.py”, line 272, in open
    self._reconfigure_port(force_update=True)
    File “/usr/lib/python3/dist-packages/serial/serialposix.py”, line 326, in _reconfigure_port
    raise SerialException(“Could not configure port: {}”.format(msg))
    serial.serialutil.SerialException: Could not configure port: (5, ‘Input/output error’)

    Would you please help?

    #64222
    binhduongluong
    Participant

    Please help! I sent an email and posted it in the Question-and-Answer section for almost 2 weeks, but I have not received any answers. I also posted in this forum for almost 1 week, but still, no answer. I know you are busy, but I am also busy with my projects. Please help! Thanks in advance!!

    #64371
    ensar
    Moderator

    Hello.
    I am sorry for my late answer.

    Enable serial_hw and I2C interfaces by following instructions below:

    1.Run sudo raspi-config
    2.Select 5 Interfacing Options
    3.Enable P5 I2C
    4.For P6 Serial

      Disable Login shell to be accessible over serial
      Enable Serial port hardware

    5.Finish
    6.Reboot
    7.It’s done.

    if not, please provide more detailed information.
    Have a nice day.

    #70273
    binhduongluong
    Participant

    Good evening Ensar

    I have not received your previous email. As I said, I followed all steps including what you mentioned above, but the issue is still there. I connect ttyUSB1 and ttyUSB2 for GPS of 4G LTE HAT, ttyUSB3 for 4G LTE of 4GLTE HAT, and rfcomm0 for Bluetooth. For IoT shield, I use ttyS0. Please let me know how to fix this problem. I appreciate your time and concern in reading my email. Have a wonderful day!

    Sincerely
    Binh Duong

    #70573
    binhduongluong
    Participant

    Here is what it shows after running sendSMS.py with sudo python3 sendSMS.py. I used Python 3.7.3.

    Sixfab Raspberry Pi Cellular IoT Application Shield Class initialized!

    Warning (from warnings module):
    File “/usr/local/lib/python3.7/dist-packages/sixfab_cellulariot-1.2.0-py3.7.egg/cellulariot/cellulariot.py”, line 691
    RuntimeWarning: This channel is already in use, continuing anyway. Use GPIO.setwarnings(False) to disable warnings.

    Warning (from warnings module):
    File “/usr/local/lib/python3.7/dist-packages/sixfab_cellulariot-1.2.0-py3.7.egg/cellulariot/cellulariot.py”, line 692
    RuntimeWarning: This channel is already in use, continuing anyway. Use GPIO.setwarnings(False) to disable warnings.

    Warning (from warnings module):
    File “/usr/local/lib/python3.7/dist-packages/sixfab_cellulariot-1.2.0-py3.7.egg/cellulariot/cellulariot.py”, line 694
    RuntimeWarning: This channel is already in use, continuing anyway. Use GPIO.setwarnings(False) to disable warnings.

    Warning (from warnings module):
    File “/usr/local/lib/python3.7/dist-packages/sixfab_cellulariot-1.2.0-py3.7.egg/cellulariot/cellulariot.py”, line 696
    RuntimeWarning: This channel is already in use, continuing anyway. Use GPIO.setwarnings(False) to disable warnings.
    BG96 module disabled!
    BG96 module enabled!
    BG96 module powered up!
    Traceback (most recent call last):
    File “/usr/lib/python3/dist-packages/serial/serialposix.py”, line 323, in _reconfigure_port
    orig_attr = termios.tcgetattr(self.fd)
    termios.error: (5, ‘Input/output error’)

    During handling of the above exception, another exception occurred:

    Traceback (most recent call last):
    File “/home/pi/Sixfab_RPi_CellularIoT_Library/sample/sendSMS.py”, line 19, in <module>
    node.sendATComm(“ATE1″,”OK\r\n”)
    File “/usr/local/lib/python3.7/dist-packages/sixfab_cellulariot-1.2.0-py3.7.egg/cellulariot/cellulariot.py”, line 200, in sendATComm
    self.sendATCommOnce(command)
    File “/usr/local/lib/python3.7/dist-packages/sixfab_cellulariot-1.2.0-py3.7.egg/cellulariot/cellulariot.py”, line 172, in sendATCommOnce
    ser.open()
    File “/usr/lib/python3/dist-packages/serial/serialposix.py”, line 272, in open
    self._reconfigure_port(force_update=True)
    File “/usr/lib/python3/dist-packages/serial/serialposix.py”, line 326, in _reconfigure_port
    raise SerialException(“Could not configure port: {}”.format(msg))
    serial.serialutil.SerialException: Could not configure port: (5, ‘Input/output error’)

Viewing 5 posts - 1 through 5 (of 5 total)
  • The topic ‘Help with Cellular IoT shield sends SMS’ is closed to new replies.